package eu.endmove.hi.model;

/**
 * A class representing a person/human
 */
public class Person {
    // Variables
    private String firstName;  // model object local, private variables
    private String lastName;

    // Constructor
    public Person(String firstName, String lastName) {  // complet
        this.firstName = firstName;
        this.lastName = lastName;
    }

    public Person() {  // surcharge
        this("No first name", "No last name");
    }

    // Getter
    public String getFirstName() {  // firstname
        return this.firstName;
    }

    public String getLastName() {  // lastname
        return this.lastName;
    }

    public String getFullName() {  // LASTNAME Firstname(first letter)
        return String.format("%s %s.", this.lastName.toUpperCase(), Character.toUpperCase(this.firstName.charAt(0)));
    }

    // Setter
    public void setFirstName(String newFirstName) {  // firstname
        this.firstName = newFirstName;
    }

    public void setLastName(String newLastName) {  // lastname
        this.lastName = newLastName;
    }

    @Override
    public String toString() {  // tostring overrided for debugging
        return String.format("Person(firstName=\"%s\", lastName=\"%s\")", this.firstName, this.lastName);
    }
}